%define pgk_version 8b45ca7
%define rel -0-g%{pgk_version}
%define with_maven 1

Name:          jnr-constants
Version:       0.7
Release:       %mkrel 1
Summary:       A set of platform constants (e.g. errno values)
Group:         Development/Java
License:       MIT
URL:           https://github.com/wmeissner/jnr-constants/
Source0:       http://github.com/wmeissner/jnr-constants/tarball/%{version}/wmeissner-jnr-constants-%{version}%{?rel}.tar.gz
# remove wagon-svn & wagon-webdav deps
Patch0:        jnr-constants-0.7-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-wagon
%endif
Requires:      jpackage-utils
Provides:      constantine
BuildArch:     noarch

%description
Provides java values for common platform C constants (e.g. errno)

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Provides java values for common platform C constants (e.g. errno)

This package contains javadoc for %{name}

%prep
%setup -q -n wmeissner-jnr-constants-%{pgk_version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0

for j in $(find . -name "*.jar" -o -name "*.class"); do
  mv $j $j.no
done

%build

%if %with_maven
  export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
  mvn-jpp \
    -e \
    -Dmaven2.jpp.mode=true \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    install javadoc:javadoc
%else
  ant jar javadoc
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
%if %with_maven
install -pm 644 build/constantine-%{version}.jar \
  %{buildroot}%{_javadir}/jnr-constants-%{version}.jar
%else
install -pm 644 dist/constantine.jar \
  %{buildroot}%{_javadir}/jnr-constants-%{version}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jnr-constants.pom
%add_to_maven_depmap org.jruby.extras constantine %{version} JPP jnr-constants
%add_to_maven_depmap org.jruby.extras constantine %{version} JPP constantine

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
  ln -sf jnr-constants-%{version}.jar constantine.jar
)

mkdir -p %{buildroot}%{_javadocdir}/jnr-constants-%{version}
%if %with_maven
cp -pr build/report/apidocs/* %{buildroot}%{_javadocdir}/jnr-constants-%{version}
%else
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/jnr-constants-%{version}
%endif
ln -s jnr-constants-%{version} %{buildroot}%{_javadocdir}/jnr-constants

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jnr-constants-%{version}.jar
%{_javadir}/jnr-constants.jar
%{_javadir}/constantine.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE

%files javadoc
%{_javadocdir}/jnr-constants-%{version}
%{_javadocdir}/jnr-constants



%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 0.7-1.mga2
+ Revision: 131280
- Fix file list
- Clean spec file

  + gil <gil>
    - imported package jnr-constants


* Sat Jun 11 2011 gil <gil> 0.7-0.%%mkrel
- initial rpm